logo
DATABASE RESOURCES PRICING ABOUT US

CVE-2016-7097

Description

The filesystem implementation in the Linux kernel through 4.8.2 preserves the setgid bit during a setxattr call, which allows local users to gain group privileges by leveraging the existence of a setgid program with restrictions on execute permissions. #### Notes Author| Note ---|--- [jdstrand](<https://launchpad.net/~jdstrand>) | android kernels (flo, goldfish, grouper, maguro, mako and manta) are not supported on the Ubuntu Touch 14.10 and earlier preview kernels linux-lts-saucy no longer receives official support linux-lts-quantal no longer receives official support


Affected Package


OS OS Version Package Name Package Version
ubuntu 12.04 linux any
ubuntu 14.04 linux 3.13.0-132.181
ubuntu upstream linux 4.9~rc1
ubuntu 16.04 linux 4.4.0-51.72
ubuntu 16.10 linux 4.8.0-28.30
ubuntu 12.04 linux-armadaxp any
ubuntu upstream linux-armadaxp 4.9~rc1
ubuntu upstream linux-aws 4.9~rc1
ubuntu upstream linux-azure 4.9~rc1
ubuntu upstream linux-euclid 4.9~rc1
ubuntu upstream linux-flo 4.9~rc1
ubuntu upstream linux-gcp 4.9~rc1
ubuntu upstream linux-gke 4.9~rc1
ubuntu upstream linux-goldfish 4.9~rc1
ubuntu upstream linux-grouper 4.9~rc1
ubuntu upstream linux-hwe 4.9~rc1
ubuntu upstream linux-hwe-edge 4.9~rc1
ubuntu upstream linux-kvm 4.9~rc1
ubuntu upstream linux-linaro-omap 4.9~rc1
ubuntu upstream linux-linaro-shared 4.9~rc1
ubuntu upstream linux-linaro-vexpress 4.9~rc1
ubuntu upstream linux-lts-quantal 4.9~rc1
ubuntu upstream linux-lts-raring 4.9~rc1
ubuntu upstream linux-lts-saucy 4.9~rc1
ubuntu 12.04 linux-lts-trusty 3.13.0-132.181~precise1
ubuntu upstream linux-lts-trusty 4.9~rc1
ubuntu upstream linux-lts-utopic 4.9~rc1
ubuntu 14.04 linux-lts-vivid any
ubuntu upstream linux-lts-vivid 4.9~rc1
ubuntu upstream linux-lts-wily 4.9~rc1
ubuntu 14.04 linux-lts-xenial 4.4.0-51.72~14.04.1
ubuntu upstream linux-lts-xenial 4.9~rc1
ubuntu upstream linux-maguro 4.9~rc1
ubuntu upstream linux-mako 4.9~rc1
ubuntu upstream linux-manta 4.9~rc1
ubuntu upstream linux-oem 4.9~rc1
ubuntu upstream linux-qcm-msm 4.9~rc1
ubuntu upstream linux-raspi2 4.9~rc1
ubuntu 16.04 linux-raspi2 4.4.0-1038.45
ubuntu 16.10 linux-raspi2 4.8.0-1021.24
ubuntu upstream linux-snapdragon 4.9~rc1
ubuntu 16.04 linux-snapdragon 4.4.0-1042.46
ubuntu 16.10 linux-snapdragon 4.4.0-1046.50
ubuntu 12.04 linux-ti-omap4 any
ubuntu upstream linux-ti-omap4 4.9~rc1

Related